<template>
  <div>
    <q-select
      v-model="field.config.type"
      stack-label="Type"
      inverted-light
      color="white"
      :options="availableTypes"
    />
  </div>
</template>

<script>
  export default {
    name: 'checkboxField',
    props: {
      field: {
        type: Object,
      },
    },
    data() {
      return {
        availableTypes: ['checkbox', 'toggle'].map((value) => ({
          value,
          label: value,
        })),
      };
    },
  };
</script>
